# Class AuthorizationDataEntry

java.lang.Object
com.sun.security.jgss.AuthorizationDataEntry

public final class AuthorizationDataEntry extends Object
Kerberos 5 AuthorizationData entry.

Since:
  1.7

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationDataEntry(int type, byte[] data)`
Create an AuthorizationDataEntry object.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getData()`
Get a copy of the ad-data field.
`int`
`getType()`
Get the ad-type field.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### AuthorizationDataEntry

public AuthorizationDataEntry(int type, byte[] data)
Create an AuthorizationDataEntry object.

Parameters:
  `type` - the ad-type
  `data` - the ad-data, a copy of the data will be saved inside the object.

## Method Details

### getType

public int getType()
Get the ad-type field.

Returns:
  ad-type

### getData

public byte[] getData()
Get a copy of the ad-data field.

Returns:
  ad-data